import { defineConfig } from 'drizzle-kit';

export default defineConfig({
	dialect: 'mysql',
	schema: './src/lib/server/drizzle/schema.ts',
	out: './migrations',
	dbCredentials: {
		host: process.env.DATABASE_HOST as string,
		port: Number(process.env.DATABASE_PORT) || 3306,
		database: process.env.DATABASE_DB as string,
		user: process.env.DATABASE_USER as string,
		password: process.env.DATABASE_PASS as string
	},
	verbose: true,
	strict: true
});
