import { env } from '$env/dynamic/private';
import { JWT } from '$lib/server/jwt';
import { json } from '@sveltejs/kit';

export const GET = async () =>
	json({
		keys: [{ alg: env.JWT_ALGORITHM, kid: JWT.jwksKid, ...JWT.jwks, use: 'sig' }]
	});
